## chiark-utils 4.1.32

=== cprogs/Makefile ===
# Makefile
# simple make settings
#
# This file is part of chiark backup, a system for backing up GNU/Linux and
# other UN*X-compatible machines, as used on chiark.greenend.org.uk.
#
# chiark backup is:
#  Copyright (C) 1997-1998,2000-2001 Ian Jackson <ian@chiark.greenend.org.uk>
#  Copyright (C) 1999 Peter Maydell <pmaydell@chiark.greenend.org.uk>
#
# This is free software; you can redistribute it and/or modify it under the
# terms of the GNU General Public License as published by the Free Software
# Foundation; either version 3, or (at your option) any later version.
#
# This is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, consult the Free Software Foundation's
# website at www.fsf.org, or the GNU Project website at www.gnu.org.

us=	chiark-utils-bin

include ../settings.make

RWBUFFER_SIZE_MB=16

PROGRAMS=		readbuffer writebuffer with-lock-ex xacpi-simple \
			summer watershed rcopy-repeatedly
SUIDSBINPROGRAMS=	really
DAEMONS=		trivsoundd
MAN1PAGES=		readbuffer.1 writebuffer.1 with-lock-ex.1
MAN8PAGES=		trivsoundd.8 really.8
BUILTTXTDOCS=		watershed.txt
TXTDOCS=		$(BUILTTXTDOCS)

TARGETS=	$(PROGRAMS) $(SUIDSBINPROGRAMS) $(DAEMONS) $(BUILTTXTDOCS)

all:		$(TARGETS)

readbuffer:			readbuffer.o			rwbuffer.o
writebuffer:			writebuffer.o	wrbufcore.o	rwbuffer.o 
trivsoundd:			trivsoundd.o	wrbufcore.o 	rwbuffer.o 
really:				really.o myopt.o

really.o myopt.o rcopy-repeatedly.o: myopt.h
readbuffer.o writebuffer.o rwbuffer.o wrbufcore.o trivsoundd.o:	rwbuffer.h

xacpi-simple:	xacpi-simple.o
		$(CC) -o $@ $< -L/usr/X11R6/lib -lX11 -lm

summer:		summer.o
		$(CC) -o $@ $< -lnettle -lgmp

rcopy-repeatedly: rcopy-repeatedly.o myopt.o
		$(CC) -o $@ $^ -lm -lrt

watershed:	watershed.o
		$(CC) -o $@ $< -lnettle -lgmp

watershed.txt:	watershed.c
		sed '/^$$/,$$d' <$^ >$@.new && mv -f $@.new $@

install:		all
		$(INSTALL_DIRECTORY) $(bindir) $(sbindir)
		$(INSTALL_PROGRAM) $(PROGRAMS) $(bindir)
		$(INSTALL_PROGRAM) $(DAEMONS) $(sbindir)
		$(INSTALL) -m 4774 -o root -g $(SYSTEM_GROUP) \
			$(SUIDSBINPROGRAMS) $(sbindir)

install-docs:	watershed.txt
		$(INSTALL_DIRECTORY) $(man1dir) $(man8dir) $(txtdocdir)
		$(INSTALL) -m 644 $(MAN1PAGES) ${man1dir}/.
		$(INSTALL) -m 644 $(MAN8PAGES) ${man8dir}/.
		$(INSTALL) -m 644 $(TXTDOCS) ${txtdocdir}/.

install-examples:

clean:
		rm -f *~ ./#*# *.o

distclean realclean:	clean
		rm -f $(TARGETS)

=== debian/changelog ===
chiark-utils (4.1.32) unstable; urgency=medium

  xacpi-simple improvements:
  * Better parsing of boolean -debug option.
  * Support -into, -iconic and -withdrawn options.

  Packaging fix:
  * debian/rules clean removes various sv-* and dh log files.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Thu, 07 Jun 2012 19:22:46 +0100

chiark-utils (4.1.31) unstable; urgency=medium

  Bugfixes to programs:
  * xacpi-simple updated:
    - Now works with recent kernels by reading /sys/class/power_supply
      (so is now misnamed, since that may or may not come from acpi).
      Closes: #635242.
    - Copes both with batteries which report charge/current and ones which
      report energy/power.
    - Copes with batteries which are not full, charging or discharging
      (eg, if the system is on a/c but battery charging is suppressed).
    - Shows red when time remaining is less than 5 minutes (configurable)
      rather than trying to use "alarm" value from /sys/class/power_supply
      (which is not very predictable or reliable).
    - Option -debug produces some debugging output.
    - In the code, rename pix_... variables to be named after the meaning
      rather than the default colour.
  * chiark-backup's /etc/chiark-backup/snap/nosnap is now more careful
    about rm vs. rmdir of its link/mountpoint/whatever.

  Documentation and description improvements:
  * watershed now installs its head doc comment in
    /usr/share/doc/chiark-utils-bin/watershed.txt.
    This is apropos of #659989 but is of course not a proper fix.
  * Mention rcopy-repeatedly in the Description.

  User-visible packaging improvements:
  * chiark-backup Suggests chiark-utils-bin, not the nonexistent
    chiark-cprogs (for `summer').

  Other packaging and source code improvements:
  * Provide build-arch and build-indep debian/rules targets.
  * Fix the type of a callback function passed to scandir, to expect
    struct dirent**'s rather than void*'s.
  * Add -Wno-pointer-sign to gcc warning options.
  * Add ${misc:Depends} to Depends: lines.  Causes no change to the .debs.
  * Switch to git.  Move .cvsignores to .gitignore, etc.
  * Update my email address.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Wed, 06 Jun 2012 02:30:50 +0100

chiark-utils (4.1.30) unstable; urgency=low

  * rcopy-repeatedly: new utility
  * cvs-repomove: work with Solaris's shoddy sed.  (Closes: #497670)
  * backup/snap-drop: honour argument specifying vardir.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Wed,  8 Oct 2008 21:42:17 +0100

chiark-utils (4.1.29) unstable; urgency=low

  * backup-snaprsync: pass $vardir as argument to snap-drop
  * backup-snaprsync: add a missing x prefix to an ssh invocation
  * chiark-backup: really cope properly with nosnap removal

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Thu, 28 Aug 2008 20:02:47 +0100

=== debian/control ===
Source: chiark-utils
Section: admin
Priority: extra
Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
Build-Depends: libx11-dev, nettle-dev, debhelper (>= 5)
Standards-Version: 3.9.1

Package: chiark-backup
Section: utils
Priority: extra
Architecture: all
Depends: chiark-rwbuffer, chiark-utils-bin, ${misc:Depends}
Suggests: chiark-utils-bin (>= 4.1.14)
Description: backup system for small systems and networks
 These are the backup scripts used by chiark.greenend.org.uk and other
 systems belonging to the Sinister Greenend Organisation.  Features:
  * Suitable for single systems and small networks.
  * Reasonably simple; they do what you tell it to.
  * Hard failures when individual systems fail, to encourage fixing !
 If you have a larger site you may wish to look at Amanda.

Package: chiark-scripts
Section: admin
Priority: extra
Conflicts: chiark-named-conf, sync-accounts
Replaces: chiark-named-conf, sync-accounts
Depends: ${misc:Depends}
Suggests: tcl8.4
Architecture: all
Description: chiark system administration scripts
 This package contains a number of small administration scripts used
 by chiark.greenend.org.uk and other systems belonging to the Sinister
 Greenend Organisation.  Featuring:
 .
 chiark-named-conf: a tool for managing nameserver configurations
 and checking for suspected DNS problems.  Its main functions are to
 check that delegations are appropriate and working, that secondary
 zones are slaved from the right places, and to generate a
 configuration for BIND, from its own input file.
 .
 sync-accounts: a simple but flexible account info synchroniser.
 sync-accounts is a tool for copying un*x account data from remote
 systems and installing it locally.  It is flexible and reasonably
 straightforward, but lacks integration with other distributed
 databases such as NIS.
 .
 cvs-repomove and cvs-adjustroot: tools for moving CVS repositories
 and adjusting working trees.
 .
 palm-datebook-reminders: a program which emails mails you reminders
 about the appointments in your Palm's Datebook.
 .
 cvsweb-list: cgi program to list ucgi (userv-utils) cvsweb repos
 .
 expire-iso8601: keep or expire backup trees named after their dates
 .
 gnucap2genspic, ngspice2genspic, genspic2gnuplot: convert gnucap
 files and ngspice output files to genspic and genspic files to
 gnuplot input so they can be plotted.
 .
 hexterm: connects to serial port and allows the user interact in
 ASCII and hex.  Ie, a hex "terminal" program which lets you speak a
 serial port protocol directly.  (Needs tcl8.4 to be installed.)
 .
 random-word, remountresizereiserfs,
 summarise-mailbox-preserving-privacy

Package: chiark-rwbuffer
Section: utils
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: readbuffer/writebuffer: prevents tape drive seesawing, etc.
 readbuffer and writebuffer: programs for reading input from devices,
 and writing output to, which don't like constant stopping and
 starting, such as tape drives and audio playback devices.

Package: chiark-utils-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ${shlibs:Recommends}
Suggests: ${shlibs:Suggests}
Section: utils
Priority: extra
Description: chiark system administration utilities
 This package contains a number of small administration scripts used
 by chiark.greenend.org.uk and other systems belonging to the Sinister
 Greenend Organisation.  Currently featuring only:
 .
 with-lock-ex: a simple tool for acquiring a lockfile before running
 another program or script.
 .
 summer: a tool for reporting complete details about a filesystem tree
 in a parseable format, including checksums.
 .
 xacpi-simple: a very simple X client for displaying battery
 charge status.
 .
 watershed: a utility for saving on superfluous executions of an
 idempotent command.  (This is the same utility as shipped separately
 in Ubuntu's udev, but with slightly different defaults and a
 different install location.)
 .
 rcopy-repeatedly: a utility for repeatedly copying a file from one
 host to another, to keep a copy constantly up to date.
 .
 summer and watershed require the installation of the Recommended
 crypto libraries; xacpi-simple needs the Suggested X libraries.

Package: chiark-really
Section: admin
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: really - a tool for gaining privilege (simple, realistic sudo)
 really is a program that allows certain users to become whatever user
 they like on request.  It is a bit like sudo in that respect.
 However, really is simpler than sudo, and doesn't give the system
 administrator any false security promises.  So really is less of a
 general security risk to the system.
 .
 Unlike sudo it does not pretend that the called account can be any
 more secure than the calling account. so there is never a need for a
 password.  If you wanted to restrict which commands and functions the
 called user can perform, use userv, not really or sudo.
 .
 Also unlike sudo, really only works if the calling user is supposed
 to be equivalent to root.  But, really can also be used by
 root-equivalent users to become any user, not just root; in this way
 it can be a replacement for certain uses of su.

=== debian/rules ===
#!/usr/bin/make -f

SHELL=/bin/bash

subdirs_build_arch=	cprogs
subdirs_nobuild=backup sync-accounts scripts
package=	chiark-utils
packages_indep=	chiark-backup chiark-scripts
packages_arch=	chiark-rwbuffer chiark-really chiark-utils-bin
packages=	$(packages_indep) $(packages_arch)

cwd=	$(shell pwd)
d=	$(cwd)/debian
t=	$d/tmp

build:
	$(checkdir)
	set -e; for s in $(subdirs_build_arch); do $(MAKE) -C $$s all; done
	touch build

build-indep: build
build-arch: build

clean:
	$(checkdir)
	rm -f build
	set -e; for s in $(subdirs_build_arch); do \
		$(MAKE) -C $$s -i distclean || \
		$(MAKE) -C $$s -f Makefile.in distclean; \
	done
	rm -rf *~ debian/tmp debian/*~ debian/files* debian/substvars*
	rm -rf debian/sv-* debian/*.debhelper.log

binary-prep:
	$(checkdir)
	rm -rf debian/tmp*
	#
	set -e; for s in $(subdirs_build_arch) $(subdirs_nobuild); do \
		$(MAKE) -C $$s install install-docs install-examples \
			prefix=$t/$$s/usr \
			etcdir=$t/$$s/etc \
			varlib=$t/$$s/var/lib \
			mandir=$t/$$s/usr/share/man; \
	done
	#
	mv $t/cprogs $t/chiark-utils-bin
	#
	cp -a debian/tmp/sync-accounts/* debian/tmp/scripts/.
	rm -r debian/tmp/sync-accounts
	mv debian/tmp/scripts debian/tmp/chiark-scripts
	mv debian/tmp/backup debian/tmp/chiark-backup
	#
	set -e; for p in $(packages); do \
		install -d $t/$$p/DEBIAN $t/$$p/usr/share/doc/$$p; \
		cp debian/copyright debian/changelog \
			$t/$$p/usr/share/doc/$$p/; \
		ln -s changelog.gz \
			$t/$$p/usr/share/doc/$$p/changelog.Debian.gz; \
		gzip -9v $t/$$p/usr/share/doc/$$p/changelog; \
		done
	#
	install -d $t/chiark-rwbuffer/usr/bin
	install -d $t/chiark-rwbuffer/usr/share/man/man1
	cd $t/chiark-utils-bin/usr/bin && \
		mv readbuffer writebuffer $t/chiark-rwbuffer/usr/bin/
	cd $t/chiark-utils-bin/usr/share/man/man1 && \
		mv readbuffer.1 writebuffer.1 $t/chiark-rwbuffer/usr/share/man/man1/
	#
	install -d $t/chiark-backup/usr/share/man/man1
	cp backup/man/*.1 $t/chiark-backup/usr/share/man/man1/
	cd $t/chiark-backup/usr/share/man/man1 && \
		for m in *.1; do \
			mv "$$m" backup-"$$m"; \
		done
	cp \
 $t/chiark-backup/usr/share/doc/chiark-backup/examples/chiark/settings.sh \
 $t/chiark-backup/etc/chiark-backup/settings.sh
	#
	install -d $t/chiark-really/usr/sbin
	install -d $t/chiark-really/usr/share/man/man8
	cd $t/chiark-utils-bin/usr/sbin && \
		mv really $t/chiark-really/usr/sbin/
	cd $t/chiark-utils-bin/usr/share/man/man8 && \
		mv really.8 $t/chiark-really/usr/share/man/man8/
	rm	$t/chiark-utils-bin/usr/sbin/trivsoundd \
		$t/chiark-utils-bin/usr/share/man/man8/trivsoundd.8
	rmdir	$t/chiark-utils-bin/usr/sbin \
		$t/chiark-utils-bin/usr/share/man/man8
	#
	gzip -9f $t/*/usr/share/man/man*/*

binary-hook-chiark-backup:
binary-hook-chiark-rwbuffer:
binary-hook-sync-accounts:
binary-hook-chiark-scripts:
binary-hook-chiark-really:
binary-hook-chiark-utils-bin:

binary-one:
	set -e; for f in preinst postinst prerm postrm conffiles; do \
		test -f debian/$p/$$f || continue; \
		cp debian/$p/$$f $t/$p/DEBIAN/$$f; \
		chmod u=rwX,go=rX $t/$p/DEBIAN/$$f; \
	done
	dpkg-gencontrol -isp -p$p -P$t/$p -Tdebian/sv-$p
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	debian/rules binary-hook-$p
	dpkg --build $t/$p ..

binary-indep:	checkroot build binary-prep
	set -e; for p in $(packages_indep); do \
		debian/rules binary-one p=$$p; done

binary-arch:	checkroot build binary-prep
	$(checkdir)
	set -ex; for p in chiark-really chiark-utils-bin chiark-rwbuffer; do \
		dh_strip -p$$p -Pdebian/tmp/$$p; done
	dpkg-shlibdeps -Tdebian/sv-chiark-rwbuffer \
		$t/chiark-rwbuffer/usr/bin/*
	dpkg-shlibdeps -Tdebian/sv-chiark-really \
		$t/chiark-really/usr/sbin/*
	set -e; for f in $t/chiark-utils-bin/usr/bin/*; do \
		case "$$f" in \
		*/xacpi-simple)		d=Suggests	;; \
		*/watershed|*/summer)	d=Recommends	;; \
		*)			d=Depends	;; \
		esac; \
		a="$$a -d$$d $$f"; \
	    done; set -x; \
	    dpkg-shlibdeps -Tdebian/sv-chiark-utils-bin $$a
	perl -i~ -pe '						'\
	 -e'	next unless m/^shlibs:/;			'\
	 -e'	s/$$/,/; s/=/=, /;				'\
	 -e'	s/, libgmp3(?:c2)?,/, libgmp3 | libgmp3c2,/; 	'\
	 -e'	s/=, /=/; s/,$$//;				'\
			debian/sv-*[!~]
	set -e; for p in $(packages_arch); \
		do debian/rules binary-one p=$$p; done

define checkdir
	test -f cprogs/writebuffer.c
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## chiark-utils 4.2.0

=== cprogs/Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 
 RWBUFFER_SIZE_MB=16
 
-PROGRAMS=		readbuffer writebuffer with-lock-ex xacpi-simple \
+PROGRAMS=		readbuffer writebuffer with-lock-ex xbatmon-simple \
 			summer watershed rcopy-repeatedly
 SUIDSBINPROGRAMS=	really
 DAEMONS=		trivsoundd
@@ -48,7 +48,7 @@
 really.o myopt.o rcopy-repeatedly.o: myopt.h
 readbuffer.o writebuffer.o rwbuffer.o wrbufcore.o trivsoundd.o:	rwbuffer.h
 
-xacpi-simple:	xacpi-simple.o
+xbatmon-simple:	xbatmon-simple.o
 		$(CC) -o $@ $< -L/usr/X11R6/lib -lX11 -lm
 
 summer:		summer.o

=== debian/changelog ===
chiark-utils (4.2.0) unstable; urgency=low

  * Rename `xacpi-simple' to `xbatmon-simple':
    - rename source file
    - change program name in Makefiles, .gitignore, rules, etc.
    - change program's idea of its own name for usage message
    - look for X resources under both old ane new names
    - provide a compatibility symlink (using dh_link)

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 10 Jun 2012 21:40:32 +0100

=== debian/control ===
--- 
+++ 
@@ -93,7 +93,7 @@
  summer: a tool for reporting complete details about a filesystem tree
  in a parseable format, including checksums.
  .
- xacpi-simple: a very simple X client for displaying battery
+ xbatmon-simple: a very simple X client for displaying battery
  charge status.
  .
  watershed: a utility for saving on superfluous executions of an
@@ -105,7 +105,7 @@
  host to another, to keep a copy constantly up to date.
  .
  summer and watershed require the installation of the Recommended
- crypto libraries; xacpi-simple needs the Suggested X libraries.
+ crypto libraries; xbatmon-simple needs the Suggested X libraries.
 
 Package: chiark-really
 Section: admin

=== debian/rules ===
--- 
+++ 
@@ -102,6 +102,7 @@
 		cp debian/$p/$$f $t/$p/DEBIAN/$$f; \
 		chmod u=rwX,go=rX $t/$p/DEBIAN/$$f; \
 	done
+	dh_link -p$p -Pdebian/tmp/$p
 	dpkg-gencontrol -isp -p$p -P$t/$p -Tdebian/sv-$p
 	chown -R root.root debian/tmp
 	chmod -R g-ws debian/tmp
@@ -122,7 +123,7 @@
 		$t/chiark-really/usr/sbin/*
 	set -e; for f in $t/chiark-utils-bin/usr/bin/*; do \
 		case "$$f" in \
-		*/xacpi-simple)		d=Suggests	;; \
+		*/xbatmon-simple)	d=Suggests	;; \
 		*/watershed|*/summer)	d=Recommends	;; \
 		*)			d=Depends	;; \
 		esac; \

## chiark-utils 4.3.0

=== backup/Makefile ===
# Makefile
# simple make settings
#
# This file is part of chiark backup, a system for backing up GNU/Linux and
# other UN*X-compatible machines, as used on chiark.greenend.org.uk.
#
# chiark backup is:
#  Copyright (C) 1997-1998,2000-2001,2007
#                     Ian Jackson <ian@chiark.greenend.org.uk>
#  Copyright (C) 1999 Peter Maydell <pmaydell@chiark.greenend.org.uk>
#
# This is free software; you can redistribute it and/or modify it under the
# terms of the GNU General Public License as published by the Free Software
# Foundation; either version 3, or (at your option) any later version.
#
# This is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, consult the Free Software Foundation's
# website at www.fsf.org, or the GNU Project website at www.gnu.org.

us=	chiark-backup

include ../settings.make

BINSCRIPTS=	checkallused loaded driver takedown whatsthis labeltape \
		snaprsync
SHARESCRIPTS=	bringup full increm snap-drop
SHAREFILES=	backuplib.pl snap-common
SNAPKINDS=	lvm remount remountrocp nosnap

EXAMPLES=	relativity chiark

all:

install:		all
		$(INSTALL_DIRECTORY) $(confdir) $(confdir)/snap $(bindir) \
			$(sharedir) $(vardir) $(man1dir)
		set -e; for s in $(BINSCRIPTS); do \
			$(INSTALL_SCRIPT) $$s $(bindir)/backup-$$s; done
		$(INSTALL_SHARE) $(SHAREFILES) $(sharedir)
		$(INSTALL_SCRIPT) $(SHARESCRIPTS) $(sharedir)
		set -e; for s in $(SNAPKINDS); do \
			d=$(confdir)/snap/$$s; \
			test ! -f $$d || d=$$d.dist; \
			$(INSTALL_SCRIPT) $$s $$d; done

install-docs:
		$(INSTALL_DIRECTORY) $(txtdocdir)
		$(INSTALL_SHARE) iwjbackup.txt $(txtdocdir)/README

install-examples:
		set -e; for e in $(EXAMPLES); do \
			cd examples/$$e; \
			$(INSTALL_DIRECTORY) $(exampledir)/$$e; \
			$(INSTALL_SHARE) [!A-Z]*[!~] $(exampledir)/$$e; \
			if test -f SYMLINKS.tar; then \
				exec <SYMLINKS.tar; \
				(set -e; cd $(exampledir)/$$e && tar -xf -); \
			fi; \
			cd ../..; \
		done

clean:
		rm -f *~ ./#*# *.o

distclean realclean:	clean

=== cprogs/Makefile ===
--- 
+++ 
@@ -28,10 +28,11 @@
 RWBUFFER_SIZE_MB=16
 
 PROGRAMS=		readbuffer writebuffer with-lock-ex xbatmon-simple \
-			summer watershed rcopy-repeatedly
+			summer watershed rcopy-repeatedly xduplic-copier
 SUIDSBINPROGRAMS=	really
 DAEMONS=		trivsoundd
-MAN1PAGES=		readbuffer.1 writebuffer.1 with-lock-ex.1
+MAN1PAGES=		readbuffer.1 writebuffer.1 with-lock-ex.1 \
+			xduplic-copier.1
 MAN8PAGES=		trivsoundd.8 really.8
 BUILTTXTDOCS=		watershed.txt
 TXTDOCS=		$(BUILTTXTDOCS)
@@ -48,17 +49,19 @@
 really.o myopt.o rcopy-repeatedly.o: myopt.h
 readbuffer.o writebuffer.o rwbuffer.o wrbufcore.o trivsoundd.o:	rwbuffer.h
 
-xbatmon-simple:	xbatmon-simple.o
-		$(CC) -o $@ $< -L/usr/X11R6/lib -lX11 -lm
+xbatmon-simple: LDLIBS += -lX11 -lm
+
+xduplic-copier: LDLIBS += -lXmu -lSM -lICE -lXt -lXext
+xduplic-copier: LDLIBS += -lX11 -lxcb -lXau -lXdmcp
 
 summer:		summer.o
-		$(CC) -o $@ $< -lnettle -lgmp
+summer:		LDLIBS += -lnettle -lgmp
 
 rcopy-repeatedly: rcopy-repeatedly.o myopt.o
-		$(CC) -o $@ $^ -lm -lrt
+rcopy-repeatedly: LDLIBS += -lm -lrt
 
 watershed:	watershed.o
-		$(CC) -o $@ $< -lnettle -lgmp
+watershed:	LDLIBS += -lnettle -lgmp
 
 watershed.txt:	watershed.c
 		sed '/^$$/,$$d' <$^ >$@.new && mv -f $@.new $@
@@ -79,7 +82,7 @@
 install-examples:
 
 clean:
-		rm -f *~ ./#*# *.o
+		rm -f *~ ./#*# *.o $(PROGRAMS)
 
 distclean realclean:	clean
 		rm -f $(TARGETS)

=== debian/changelog ===
chiark-utils (4.3.0) unstable; urgency=medium

  New utilities:
  * xduplic-copier.  Closes:#727223.
  * git-cache-proxy.

  New features:
  * random-word: -F<n> option for using only first <n> lines of source file.

  Bugfixes:
  * Make xbatmon-simple tolerate the lack of "type" in power supply uevent
    fields, by guessing the type from the presence or absence of "present"
    (which appears for batteries) and "online" (which appears for mains).
    Closes: #689134.

  Documentation improvements:
  * really: Add "danger!" warning to usage message description of -R.
  * really: Document -R option in the manpage.  Closes:#693354.
  * really: Document need to be in the "root" group as well.  (This is
    better than removing the restriction, because it would be dangerous to
    relax this security barrier in existing deployments.)  Closes:#693356.
  * watershed; Provide -h and --help options.  Closes:#659989.

  Build and portability fixes:
  * cprogs: Saner build runes when extra libs or objs needed.
  * cprogs: Honour CMDLINE_CFLAGS, CMDLINE_CPPFLAGS, CMDLINE_LDFLAGS.
  * debian/rules: use dpkg-buildflags and pass to Makefile.
  * cprogs/Makefile: clean deletes $PROGRAMS
  * random-word: Some perl-mode emacs formatting glitch workarounds.
  * random-word: use strict; -w.
  * cprogs/usr-local-src-misc-Makefile: Remove ancient cruft file.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Fri, 29 Nov 2013 20:52:15 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: admin
 Priority: extra
 Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
-Build-Depends: libx11-dev, nettle-dev, debhelper (>= 5)
+Build-Depends: libx11-dev, libxmu-dev, nettle-dev, debhelper (>= 5),
+               libxdmcp-dev, libxau-dev, libice-dev, libsm-dev
 Standards-Version: 3.9.1
 
 Package: chiark-backup
@@ -96,6 +97,9 @@
  xbatmon-simple: a very simple X client for displaying battery
  charge status.
  .
+ xduplic-copier: a very simple X client for typing into multiple windows
+ at once.
+ .
  watershed: a utility for saving on superfluous executions of an
  idempotent command.  (This is the same utility as shipped separately
  in Ubuntu's udev, but with slightly different defaults and a

=== debian/rules ===
--- 
+++ 
@@ -13,9 +13,16 @@
 d=	$(cwd)/debian
 t=	$d/tmp
 
+makebuildargs := OPTIMISE= DEBUG= \
+ CMDLINE_CFLAGS="$(shell dpkg-buildflags --get CFLAGS)" \
+ CMDLINE_CPPFLAGS="$(shell dpkg-buildflags --get CPPFLAGS)" \
+ CMDLINE_LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)"
+
 build:
 	$(checkdir)
-	set -e; for s in $(subdirs_build_arch); do $(MAKE) -C $$s all; done
+	set -e; for s in $(subdirs_build_arch); do \
+		$(MAKE) -C $$s all $(makebuildargs); \
+	done
 	touch build
 
 build-indep: build
@@ -123,7 +130,8 @@
 		$t/chiark-really/usr/sbin/*
 	set -e; for f in $t/chiark-utils-bin/usr/bin/*; do \
 		case "$$f" in \
-		*/xbatmon-simple)	d=Suggests	;; \
+		*/xbatmon-simple|*/xduplic-copier) \
+					d=Suggests	;; \
 		*/watershed|*/summer)	d=Recommends	;; \
 		*)			d=Depends	;; \
 		esac; \

## chiark-utils 4.3.1

=== debian/changelog ===
chiark-utils (4.3.1) unstable; urgency=medium

  Bugfixes:
  * expire-iso8601: Fix mistake in usage message.
  * git-cache-proxy: Fix various bugs in housekeeping.  Fixes a bug
    where a particular cache dir could become `Not a git repository.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 28 Jul 2014 15:52:50 +0100

## chiark-utils 4.4.2

=== debian/changelog ===
chiark-utils (4.4.2) unstable; urgency=low

  Copyright licencing fixes:
  * nntpid: Provice actual licence (dual MIT/GPL3+).  Closes:#773650.
  * git-cache-proxy: Mention in debian/copyright.
  * git-cache-proxy: Update copyright year list to include 2014.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 21 Dec 2014 15:07:20 +0000

chiark-utils (4.4.1) unstable; urgency=low

  Safety and convenience fix:
  * Redact command name characters outside 33-126.

  Portability fixes for platforms where we can't build acctdump:
  * Do not build on platforms with no <sys/acct.h>

  Portability fixes for acctdump on kFreeBSD:
  * Use different struct acct, and different headers, on different
    platforms.
  * Tolerate lack of ac_exitcode.
  * Tolerate lack of ac_minflt and ac_majflt (and use %lu as is right).
  * Tolerate variation in ac_flag field name, and, to an extent, value.
  * Print ac_mem and ac_io if available.
  * Together, the above: Closes:#766913.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 26 Oct 2014 23:52:41 +0000

chiark-utils (4.4.0) unstable; urgency=low

  New utilities:
  * acctdump.  (Imported from CVS and chiark by Jonathan Amery.)

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 26 Oct 2014 14:39:11 +0000

## chiark-utils 4.4.2build1

=== cprogs/Makefile ===
--- 
+++ 
@@ -37,6 +37,17 @@
 BUILTTXTDOCS=		watershed.txt
 TXTDOCS=		$(BUILTTXTDOCS)
 
+acctdump_cc_out:=$(shell \
+	printf "\#include <sys/types.h>\n\#include <sys/acct.h>" \
+		| $(CC) -E - 2>&1 >/dev/null \
+)
+ifeq (,$(acctdump_cc_out))
+PROGRAMS+=acctdump
+MAN8PAGES+=acctdump.8
+else
+$(warning Not building acctdump: $(acctdump_cc_out))
+endif
+
 TARGETS=	$(PROGRAMS) $(SUIDSBINPROGRAMS) $(DAEMONS) $(BUILTTXTDOCS)
 
 all:		$(TARGETS)
@@ -45,8 +56,9 @@
 writebuffer:			writebuffer.o	wrbufcore.o	rwbuffer.o 
 trivsoundd:			trivsoundd.o	wrbufcore.o 	rwbuffer.o 
 really:				really.o myopt.o
+acctdump:			acctdump.o	myopt.o
 
-really.o myopt.o rcopy-repeatedly.o: myopt.h
+acctdump.o really.o myopt.o rcopy-repeatedly.o: myopt.h
 readbuffer.o writebuffer.o rwbuffer.o wrbufcore.o trivsoundd.o:	rwbuffer.h
 
 xbatmon-simple: LDLIBS += -lX11 -lm

=== scripts/Makefile ===
# Makefile

# This file is part of chiark-utils, a collection of useful programs
# used on chiark.greenend.org.uk.
#
# This file is:
#  Copyright (C) 2001 Ian Jackson <ian@chiark.greenend.org.uk>
#
# This is free software; you can redistribute it and/or modify it under the
# terms of the GNU General Public License as published by the Free Software
# Foundation; either version 3, or (at your option) any later version.
#
# This is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, consult the Free Software Foundation's
# website at www.fsf.org, or the GNU Project website at www.gnu.org.

include ../settings.make

SCRIPTS=	palm-datebook-reminders random-word expire-iso8601 \
		genspic2gnuplot gnucap2genspic ngspice2genspic \
		cvs-repomove cvs-adjustroot remountresizereiserfs \
		hexterm summarise-mailbox-preserving-privacy \
		git-cache-proxy
MANPAGES1=	palm-datebook-reminders

CSCRIPTS=	named-conf
CMANPAGES8=	named-conf

all:

install:
		$(INSTALL_DIRECTORY) $(bindir)
		set -e; for f in $(SCRIPTS); do \
			$(INSTALL_SCRIPT) $$f $(bindir)/$$f; done
		set -e; for f in $(CSCRIPTS); do \
			$(INSTALL_SCRIPT) $$f $(bindir)/chiark-$$f; done

install-docs:
		$(INSTALL_DIRECTORY) $(man1dir) $(man8dir)
		set -e; for f in $(MANPAGES1); do \
			$(INSTALL_SHARE) $$f.1 $(man1dir)/$$f.1; done
		set -e; for f in $(CMANPAGES8); do \
			$(INSTALL_SHARE) $$f.8 $(man8dir)/chiark-$$f.8; done

install-examples:

clean:
		rm -f *~ ./#*#

distclean realclean:	clean

=== debian/changelog ===
chiark-utils (4.4.2build1) wily; urgency=medium

  * Rebuild against libnettle6.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 25 Jun 2015 13:39:28 +0100

=== debian/control ===
--- 
+++ 
@@ -108,6 +108,8 @@
  rcopy-repeatedly: a utility for repeatedly copying a file from one
  host to another, to keep a copy constantly up to date.
  .
+ acctdump: for reading process accounting files.
+ .
  summer and watershed require the installation of the Recommended
  crypto libraries; xbatmon-simple needs the Suggested X libraries.

=== debian/rules ===
--- 
+++ 
@@ -91,8 +91,7 @@
 		mv really.8 $t/chiark-really/usr/share/man/man8/
 	rm	$t/chiark-utils-bin/usr/sbin/trivsoundd \
 		$t/chiark-utils-bin/usr/share/man/man8/trivsoundd.8
-	rmdir	$t/chiark-utils-bin/usr/sbin \
-		$t/chiark-utils-bin/usr/share/man/man8
+	rmdir	$t/chiark-utils-bin/usr/sbin
 	#
 	gzip -9f $t/*/usr/share/man/man*/*

## chiark-utils 5.0.0

=== debian/changelog ===
chiark-utils (5.0.0) unstable; urgency=medium

  New programs:
  * cgi-fcgi-interp
  * git-branchmove

  nntpid:
  * install in /usr/bin.  Closes:#773651.

  cvs-adjustroot:
  * Properly exit nonzero in case of error.
    Fixes the first half of #839708.
  * Silently succeed for */CVS/Root entries which already match
    the new value.  Closes:#839708 (second half).
  * Reinvoke oursevles via "$0" rather than our hardcoded name.
    Makes testing easier, etc.

  xduplic-copier:
  * Print error message, rather than segfaulting, if XOpenDisplay fails.
  * Use XkbKeycodeToKeysym instead of XKeycodeToKeysym.
  * Drop obsolete variable "ts_last".

  chiark-backup:
  * No longer attempt to lvchange -a n the snapshot volume.
  * Add daft_sleep calls to snapshot code.
  * Honour CHIARK_BACKUP_SHAREDIR in snap/lvm script.

  Documentation:
  * Install manpage summer(1).
  * Provide more .txt `docs' (xbatmon-simple.txt, rcopy-repeatedly.txt).

  Packaging:
  * Rebuild on current sid: Closes:#811216.
  * Fix tiny typo in long description.  Closes:#819746.  (Luke Faraone.)
  * Fix build repro by using gzip -n.  Closes:#777300.  (Chris Lamb.)
  * Drop debian/rules seddery for libgmp3c2 C++ ABI transition.
  * Add debian/.debhelper to .gitignore.
  * Drop `-isp' from dpkg-gencontrol invocation.
  * Drop a lot of -l options from xduplic-copier.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sat, 05 Nov 2016 13:48:37 +0000

## chiark-utils 5.0.2

=== debian/changelog ===
chiark-utils (5.0.2) unstable; urgency=medium

  * Portability fix: Fix on libcs where st_mtime is not a macro
    (ie, ones lacking st_mtim.)

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 23 Jan 2017 18:12:52 +0000

chiark-utils (5.0.1) unstable; urgency=medium

  * with-lock-ex: provide -l

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 23 Jan 2017 17:53:50 +0000

=== debian/control ===
--- 
+++ 
@@ -63,7 +63,7 @@
  ASCII and hex.  Ie, a hex "terminal" program which lets you speak a
  serial port protocol directly.  (Needs tcl8.4 to be installed.)
  .
- random-word, remountresizereiserfs,
+ git-branchmove, random-word, remountresizereiserfs,
  summarise-mailbox-preserving-privacy
 
 Package: chiark-rwbuffer
@@ -112,6 +112,8 @@
  .
  summer and watershed require the installation of the Recommended
  crypto libraries; xbatmon-simple needs the Suggested X libraries.
+ .
+ cgi-fcgi-interp: for use with cgi-fcgi as a #! interpreter
 
 Package: chiark-really
 Section: admin
@@ -126,7 +128,7 @@
  general security risk to the system.
  .
  Unlike sudo it does not pretend that the called account can be any
- more secure than the calling account. so there is never a need for a
+ more secure than the calling account, so there is never a need for a
  password.  If you wanted to restrict which commands and functions the
  called user can perform, use userv, not really or sudo.
  .

=== debian/rules ===
--- 
+++ 
@@ -63,7 +63,7 @@
 			$t/$$p/usr/share/doc/$$p/; \
 		ln -s changelog.gz \
 			$t/$$p/usr/share/doc/$$p/changelog.Debian.gz; \
-		gzip -9v $t/$$p/usr/share/doc/$$p/changelog; \
+		gzip -9vn $t/$$p/usr/share/doc/$$p/changelog; \
 		done
 	#
 	install -d $t/chiark-rwbuffer/usr/bin
@@ -93,7 +93,7 @@
 		$t/chiark-utils-bin/usr/share/man/man8/trivsoundd.8
 	rmdir	$t/chiark-utils-bin/usr/sbin
 	#
-	gzip -9f $t/*/usr/share/man/man*/*
+	gzip -9fn $t/*/usr/share/man/man*/*
 
 binary-hook-chiark-backup:
 binary-hook-chiark-rwbuffer:
@@ -109,7 +109,7 @@
 		chmod u=rwX,go=rX $t/$p/DEBIAN/$$f; \
 	done
 	dh_link -p$p -Pdebian/tmp/$p
-	dpkg-gencontrol -isp -p$p -P$t/$p -Tdebian/sv-$p
+	dpkg-gencontrol -p$p -P$t/$p -Tdebian/sv-$p
 	chown -R root.root debian/tmp
 	chmod -R g-ws debian/tmp
 	debian/rules binary-hook-$p
@@ -131,18 +131,13 @@
 		case "$$f" in \
 		*/xbatmon-simple|*/xduplic-copier) \
 					d=Suggests	;; \
-		*/watershed|*/summer)	d=Recommends	;; \
+		*/watershed|*/summer|*/cgi-fcgi-interp)	\
+					d=Recommends	;; \
 		*)			d=Depends	;; \
 		esac; \
 		a="$$a -d$$d $$f"; \
 	    done; set -x; \
 	    dpkg-shlibdeps -Tdebian/sv-chiark-utils-bin $$a
-	perl -i~ -pe '						'\
-	 -e'	next unless m/^shlibs:/;			'\
-	 -e'	s/$$/,/; s/=/=, /;				'\
-	 -e'	s/, libgmp3(?:c2)?,/, libgmp3 | libgmp3c2,/; 	'\
-	 -e'	s/=, /=/; s/,$$//;				'\
-			debian/sv-*[!~]
 	set -e; for p in $(packages_arch); \
 		do debian/rules binary-one p=$$p; done

## chiark-utils 6.0.0~bpo9+2

=== debian/changelog ===
chiark-utils (6.0.0~bpo9+2) stretch-backports; urgency=medium

  * Rebuild with sbuild -A to include the arch:all packages too.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Wed, 09 May 2018 00:39:01 +0100

chiark-utils (6.0.0~bpo9+1) stretch-backports; urgency=medium

  * Upload chiark-utils 6.x to stretch.  In particular, the
    git-cache-proxy fixes are important and fishdescriptor is quite fun.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Wed, 09 May 2018 00:34:26 +0100

chiark-utils (6.0.0) unstable; urgency=medium

  xbatmon-simple:
  * Minor improvements to the .txt doc.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Fri, 20 Apr 2018 16:56:04 +0100

chiark-utils (5.0.3~citrix3) unstable; urgency=medium

  fishdescriptor:
  * New utility.

 -- Ian Jackson <ian.jackson@citrix.com>  Fri, 20 Apr 2018 16:46:48 +0100

chiark-utils (5.0.3~citrix2) unstable; urgency=medium

  with-lock-ex:
  * Switch to using getopt.
  * New -t (timeout) option.  Closes:#858555.

  git-cache-proxy:
  * New --serve-timeout option.
  * Radically increase several timeouts.

  Copyright faff:
  * Add DEVELOPER-CERTIFICATE file and start using S-o-b practice.
  * Convert with-lock-ex to MIT, since the PD dedication is not
    effective in some jurisdictions.

 -- Ian Jackson <ian.jackson@eu.citrix.com>  Mon, 08 May 2017 17:21:52 +0100

chiark-utils (5.0.3~citrix1) unstable; urgency=medium

  * git-cache-proxy: Do not spuriously timeout on too many simultaneous
    invocations (specifically, do not timeout when reacquiring the lock
    before serving).

 -- Ian Jackson <ian.jackson@eu.citrix.com>  Wed, 26 Apr 2017 13:04:12 +0100

## chiark-utils 6.0.2~bpo9+1

=== debian/changelog ===
chiark-utils (6.0.2~bpo9+1) stretch-backports; urgency=medium

  * Upload chiark-utils 6.0.2 to stretch-backports.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Wed, 09 May 2018 00:34:26 +0100

chiark-utils (6.0.2) unstable; urgency=medium

  * Rebuild with arch:all packages included in the upload.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 11 Jun 2018 14:35:08 +0100

chiark-utils (6.0.1) unstable; urgency=low

  fishdescriptor:
  * Fix numerous bugs, affecting the `exec' feature with nontrivial fd
    specifications.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 11 Jun 2018 14:31:24 +0100

## chiark-utils 6.0.2

=== scripts/Makefile ===
--- 
+++ 
@@ -25,11 +25,13 @@
 		genspic2gnuplot gnucap2genspic ngspice2genspic \
 		cvs-repomove cvs-adjustroot remountresizereiserfs \
 		hexterm summarise-mailbox-preserving-privacy \
-		git-cache-proxy
+		git-cache-proxy git-branchmove nntpid
 MANPAGES1=	palm-datebook-reminders
 
 CSCRIPTS=	named-conf
 CMANPAGES8=	named-conf
+
+PERLMODULES=	Chiark/NNTP
 
 all:
 
@@ -39,6 +41,10 @@
 			$(INSTALL_SCRIPT) $$f $(bindir)/$$f; done
 		set -e; for f in $(CSCRIPTS); do \
 			$(INSTALL_SCRIPT) $$f $(bindir)/chiark-$$f; done
+		set -e; for f in $(PERLMODULES); do \
+			$(INSTALL_DIRECTORY) ${perl5dir}/$${f%/*}; \
+			$(INSTALL_SHARE) $$f.pm $(perl5dir)/$$f.pm; done
+
 
 install-docs:
 		$(INSTALL_DIRECTORY) $(man1dir) $(man8dir)

## chiark-utils 6.0.3

=== cprogs/Makefile ===
--- 
+++ 
@@ -28,13 +28,16 @@
 RWBUFFER_SIZE_MB=16
 
 PROGRAMS=		readbuffer writebuffer with-lock-ex xbatmon-simple \
-			summer watershed rcopy-repeatedly xduplic-copier
+			summer watershed rcopy-repeatedly xduplic-copier \
+			cgi-fcgi-interp
 SUIDSBINPROGRAMS=	really
 DAEMONS=		trivsoundd
 MAN1PAGES=		readbuffer.1 writebuffer.1 with-lock-ex.1 \
-			xduplic-copier.1
+			xduplic-copier.1 summer.1
 MAN8PAGES=		trivsoundd.8 really.8
-BUILTTXTDOCS=		watershed.txt
+SEDDERYDOCS=		watershed.txt cgi-fcgi-interp.txt \
+			xbatmon-simple.txt rcopy-repeatedly.txt
+BUILTTXTDOCS=		$(SEDDERYDOCS)
 TXTDOCS=		$(BUILTTXTDOCS)
 
 acctdump_cc_out:=$(shell \
@@ -63,8 +66,9 @@
 
 xbatmon-simple: LDLIBS += -lX11 -lm
 
-xduplic-copier: LDLIBS += -lXmu -lSM -lICE -lXt -lXext
-xduplic-copier: LDLIBS += -lX11 -lxcb -lXau -lXdmcp
+xduplic-copier: LDLIBS += -lXmu -lX11
+#xduplic-copier: LDLIBS += -lXmu -lSM -lICE -lXt -lXext
+#xduplic-copier: LDLIBS += -lX11 -lxcb -lXau -lXdmcp
 
 summer:		summer.o
 summer:		LDLIBS += -lnettle -lgmp
@@ -72,10 +76,13 @@
 rcopy-repeatedly: rcopy-repeatedly.o myopt.o
 rcopy-repeatedly: LDLIBS += -lm -lrt
 
-watershed:	watershed.o
+watershed:	watershed.o common.o
 watershed:	LDLIBS += -lnettle -lgmp
 
-watershed.txt:	watershed.c
+cgi-fcgi-interp:	cgi-fcgi-interp.o	myopt.o common.o
+cgi-fcgi-interp:	LDLIBS += -lnettle
+
+$(SEDDERYDOCS): %.txt: %.c
 		sed '/^$$/,$$d' <$^ >$@.new && mv -f $@.new $@
 
 install:		all
@@ -85,7 +92,7 @@
 		$(INSTALL) -m 4774 -o root -g $(SYSTEM_GROUP) \
 			$(SUIDSBINPROGRAMS) $(sbindir)
 
-install-docs:	watershed.txt
+install-docs:	$(TXTDOCS)
 		$(INSTALL_DIRECTORY) $(man1dir) $(man8dir) $(txtdocdir)
 		$(INSTALL) -m 644 $(MAN1PAGES) ${man1dir}/.
 		$(INSTALL) -m 644 $(MAN8PAGES) ${man8dir}/.

=== debian/changelog ===
chiark-utils (6.0.3) unstable; urgency=medium

  * Upload to Debian unstable.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Tue, 20 Nov 2018 18:25:53 +0000

chiark-utils (6.0.3~citrix1) unstable; urgency=medium

  * git-branchmove: Avoid transporting tags about
  * fishdescriptor: Cope if donor is in a chroot without /proc
  * fishdescriptor: Cope if only donor has /run/user/UID

 -- Ian Jackson <ian.jackson@citrix.com>  Mon, 19 Nov 2018 16:11:55 +0000

## chiark-utils 6.0.4

=== debian/changelog ===
chiark-utils (6.0.4) unstable; urgency=medium

  * sync-accounts: Fix perl syntax error.  Closes:#865985.
  * changelog: Document bug number for bugfix in 6.0.4~citrix1.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Fri, 12 Apr 2019 11:48:00 +0100

chiark-utils (6.0.4~citrix1) unstable; urgency=medium

  * fishdescriptor: cast __errno_location correctly.  Closes:#926858.

 -- Ian Jackson <ian.jackson@citrix.com>  Mon, 08 Apr 2019 17:03:47 +0100

=== debian/control ===
--- 
+++ 
@@ -26,12 +26,16 @@
 Conflicts: chiark-named-conf, sync-accounts
 Replaces: chiark-named-conf, sync-accounts
 Depends: ${misc:Depends}
-Suggests: tcl8.4
+Suggests: tcl8.4, python3, gdb
 Architecture: all
 Description: chiark system administration scripts
  This package contains a number of small administration scripts used
  by chiark.greenend.org.uk and other systems belonging to the Sinister
  Greenend Organisation.  Featuring:
+ .
+ fishdescriptor: a tool for extracting a file descriptor from
+ another (non-cooperating) process and giving it to you (or
+ for examining it).  Requires gdb and python3.
  .
  chiark-named-conf: a tool for managing nameserver configurations
  and checking for suspected DNS problems.  Its main functions are to

## chiark-utils 6.0.4build1

=== debian/changelog ===
chiark-utils (6.0.4build1) focal; urgency=medium

  * No-change rebuild against libnettle7.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 07 Nov 2019 08:10:17 -0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: chiark-utils
 Section: admin
 Priority: extra
-Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
 Build-Depends: libx11-dev, libxmu-dev, nettle-dev, debhelper (>= 5),
                libxdmcp-dev, libxau-dev, libice-dev, libsm-dev
 Standards-Version: 3.9.1

## chiark-utils 6.1.0

=== debian/changelog ===
chiark-utils (6.1.0) unstable; urgency=medium

  * Non-maintainer upload.
    - Maintainer has approved this via personal communication.
  * git-branchmove: rewrite in perl (Closes: #914398, #914399)
    - Add dependencies on libgit-wrapper-perl, libtry-tiny-perl to
      bin:chiark-scripts.
  * git-branchmove: new --detach feature.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 07 Dec 2019 14:10:26 -0700

## chiark-utils 6.1.1

=== debian/changelog ===
chiark-utils (6.1.1) unstable; urgency=medium

  * fishdescriptor: Use Python "errno" module
  * git-cache-proxy: Periodically run `git gc --quiet'
  * git-cache-proxy: Document some options in the head comment

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Tue, 11 Feb 2020 16:37:31 +0000

chiark-utils (6.0.5~citrix1) unstable; urgency=medium

  * fishdescriptor: Use Python "errno" module, not "os.errno"
    (which is not in modern python3 apparently).

 -- Ian Jackson <ian.jackson@citrix.com>  Fri, 20 Dec 2019 17:50:02 +0000

chiark-utils (6.1.0~iwj1) unstable; urgency=medium

  * really: Writeability of rc.local suffices, too.
    (Non-sysvinit compatibility.)

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 12 Aug 2019 10:59:02 +0100

## chiark-utils 6.1.2

=== debian/changelog ===
chiark-utils (6.1.2) unstable; urgency=medium

  * git-cache-proxy: Recheck gc timestamp after taking lock
  * git-cache-proxy: Tolerate failure to write gc stamp
  * git-cache-proxy: Do not update timestamp due to housekeeping gc

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Wed, 12 Feb 2020 16:10:02 +0000

chiark-utils (6.1.2~citrix2~) unstable; urgency=medium

  * git-cache-proxy: Move $SIG{ALRM} setting to global
  * git-cache-proxy: Abandon fetch attempt if client disconnects
  * git-cache-proxy: Use open-coded fork/exec for git gc

 -- Ian Jackson <ian.jackson@citrix.com>  Tue, 11 Feb 2020 18:34:58 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: chiark-utils
 Section: admin
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
+Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
 Build-Depends: libx11-dev, libxmu-dev, nettle-dev, debhelper (>= 5),
                libxdmcp-dev, libxau-dev, libice-dev, libsm-dev
 Standards-Version: 3.9.1
@@ -26,7 +25,7 @@
 Priority: extra
 Conflicts: chiark-named-conf, sync-accounts
 Replaces: chiark-named-conf, sync-accounts
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, libgit-wrapper-perl, libtry-tiny-perl
 Suggests: tcl8.4, python3, gdb
 Architecture: all
 Description: chiark system administration scripts

## chiark-utils 6.1.2build1

=== debian/changelog ===
chiark-utils (6.1.2build1) groovy; urgency=medium

  * No change rebuild against new libnettle8 and libhogweed6 ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 29 Jun 2020 22:22:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: chiark-utils
 Section: admin
 Priority: extra
-Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
 Build-Depends: libx11-dev, libxmu-dev, nettle-dev, debhelper (>= 5),
                libxdmcp-dev, libxau-dev, libice-dev, libsm-dev
 Standards-Version: 3.9.1

## chiark-utils 6.1.2+nmu1

=== debian/changelog ===
chiark-utils (6.1.2+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
    - Maintainer has approved this via personal communication.
  * Bump debhelper compat to 13 (Closes: #965453).

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 21 Jul 2020 08:17:49 -0700

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 SHELL=/bin/bash
 
 subdirs_build_arch=	cprogs
-subdirs_nobuild=backup sync-accounts scripts
+subdirs_nobuild=backup sync-accounts scripts fishdescriptor
 package=	chiark-utils
 packages_indep=	chiark-backup chiark-scripts
 packages_arch=	chiark-rwbuffer chiark-really chiark-utils-bin
@@ -52,6 +52,7 @@
 	#
 	mv $t/cprogs $t/chiark-utils-bin
 	#
+	cp -a debian/tmp/fishdescriptor/* debian/tmp/scripts/.
 	cp -a debian/tmp/sync-accounts/* debian/tmp/scripts/.
 	rm -r debian/tmp/sync-accounts
 	mv debian/tmp/scripts debian/tmp/chiark-scripts
